#!/usr/bin/env python
# -*- coding: utf-8 -*-

import setuptools
import OpensuseLeap153FeiguanfangZhinan
import os
from os import path

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

for subdir, _, _ in os.walk('OpensuseLeap153FeiguanfangZhinan'):
    fname = path.join(subdir, '__init__.py')
    open(fname, 'a').close()
    
setuptools.setup(
    name="opensuse-leap-15-3-feiguanfang-zhinan",
    version=OpensuseLeap153FeiguanfangZhinan.__version__,
    url="https://github.com/apachecn/opensuse-leap-15-3-feiguanfang-zhinan",
    author=OpensuseLeap153FeiguanfangZhinan.__author__,
    author_email=OpensuseLeap153FeiguanfangZhinan.__email__,
    classifiers=[
        "Development Status :: 4 - Beta",
        "Environment :: Console",
        "Intended Audience :: Developers",
        "Intended Audience :: End Users/Desktop",
        "License :: Other/Proprietary License",
        "Natural Language :: Chinese (Simplified)",
        "Natural Language :: English",
        "Operating System :: OS Independent",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3 :: Only",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
        "Topic :: Text Processing :: Markup :: Markdown",
        "Topic :: Text Processing :: Markup :: HTML",
        "Topic :: Internet :: WWW/HTTP",
        "Topic :: Software Development :: Documentation",
        "Topic :: Documentation",
    ],
    description="openSUSE Leap 15.3 非官方指南",
    long_description=long_description,
    long_description_content_type="text/markdown",
    keywords=[],
    install_requires=[],
    python_requires=">=3.6",
    entry_points={
        'console_scripts': [
            "opensuse-leap-15-3-feiguanfang-zhinan=OpensuseLeap153FeiguanfangZhinan.__main__:main",
            "OpensuseLeap153FeiguanfangZhinan=OpensuseLeap153FeiguanfangZhinan.__main__:main",
        ],
    },
    packages=setuptools.find_packages(),
    package_data={'': ['*']},
)
